import React from "react";

import Button from "components/Button";

import Modal from "./Modal";

const ModalConfirm = ({
  title,
  children,
  yesActionLabel = "OK",
  cancelActionLabel = "Zrušit",
  onCancel,
  onConfirm,
  ...props
}) => {
  return (
    <Modal containerClassName="max-w-md" onRequestClose={onCancel} {...props}>
      <div className="card elevation-21">
        <div className="card__body">
          <div className="flex items-center justify-between mb-4">
            <h1 className="card-headline">{title}</h1>
            <button onClick={onCancel}>
              <i className="ico--close"></i>
            </button>
          </div>
          <p className="card-body-text">{children}</p>
        </div>
        <div className="card-actions card-actions--right space-x-1">
          <Button
            hoveractive
            color="blue-300"
            className="text-sm"
            onClick={onConfirm}
          >
            {yesActionLabel}
          </Button>
          <Button
            hoveractive
            color="red-600"
            className="text-sm"
            onClick={onConfirm}
          >
            {cancelActionLabel}
          </Button>
        </div>
      </div>
    </Modal>
  );
};

export default ModalConfirm;
